hledger-0.22: The main command-line interface for the hledger accounting tool.

Safe Haskell | None

Hledger.Cli.Histogram

Description

Print a histogram report.

Synopsis

- barchar :: Char
- histogram :: CliOpts -> Journal -> IO ()
- showHistogram :: ReportOpts -> Query -> Journal -> String
- printDayWith :: PrintfType (t2 -> t) => (t1 -> t2) -> (DateSpan, t1) -> t
- countBar :: [a] -> [Char]

# Documentation

barchar :: Char Source

histogram :: CliOpts -> Journal -> IO ()Source

Print a histogram of some statistic per reporting interval, such as number of postings per day.

showHistogram :: ReportOpts -> Query -> Journal -> String Source

printDayWith :: PrintfType (t2 -> t) => (t1 -> t2) -> (DateSpan, t1) -> tSource

countBar :: [a] -> [Char]Source